For the complete documentation index, see llms.txt. This page is also available as Markdown.

Render an email template for a list of contacts.

Required permissions: Create and edit email templates

post
Path parameters
templateIDstring · uuidRequired
Query parameters
apiTokenstringRequired

API authentication token

Body
referenceIDsstring[]Optional
Responses
200

OK

application/json
referenceIDstring · uuidOptionalExample: 00000000-0000-0000-0000-000000000000
tostringOptional
fromstringOptional
replystringOptional
subjectstringOptional
textstringOptional
htmlstringOptional
post/mail/templates/preview/{templateID}
POST /mail/templates/preview/{templateID}?apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Content-Type: application/json
Accept: */*
Content-Length: 25

{
  "referenceIDs": [
    "text"
  ]
}
[
  {
    "referenceID": "00000000-0000-0000-0000-000000000000",
    "to": "text",
    "from": "text",
    "reply": "text",
    "subject": "text",
    "text": "text",
    "html": "text"
  }
]

Last updated

Was this helpful?